Last active
June 12, 2024 14:28
-
-
Save CADbloke/7481998 to your computer and use it in GitHub Desktop.
Notepad++ Syntax Highlighting for AutoCAD AutoLisp. Refer to a discussion at http://www.theswamp.org/index.php?topic=40225.0 for why ... kinda. this version has code folding and different types of highlighting for 8 miscategorized types of AutoLISP keywords. As with most thing software related, it is a work in progress and could use some more co…
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
<NotepadPlus> | |
<UserLang name="AutoLISP" ext="lsp lisp dcl" udlVersion="2.1"> | |
<Settings> | |
<Global caseIgnored="yes" allowFoldOfComments="yes" foldCompact="no" forcePureLC="0" decimalSeparator="0" /> | |
<Prefix Keywords1="no" Keywords2="yes" Keywords3="yes" Keywords4="yes" Keywords5="no" Keywords6="yes" Keywords7="no" Keywords8="no" /> | |
</Settings> | |
<KeywordLists> | |
<Keywords name="Comments">00; 01 02 03;| 04|;</Keywords> | |
<Keywords name="Numbers, prefix1"></Keywords> | |
<Keywords name="Numbers, prefix2"></Keywords> | |
<Keywords name="Numbers, extras1"></Keywords> | |
<Keywords name="Numbers, extras2"></Keywords> | |
<Keywords name="Numbers, suffix1"></Keywords> | |
<Keywords name="Numbers, suffix2"></Keywords> | |
<Keywords name="Numbers, range"></Keywords> | |
<Keywords name="Operators1"></Keywords> | |
<Keywords name="Operators2">~ < <= = > >= 1- 1 : + * ** *** ++ +++ - -- --- / // /// </Keywords> | |
<Keywords name="Folders in code1, open">(</Keywords> | |
<Keywords name="Folders in code1, middle">(</Keywords> | |
<Keywords name="Folders in code1, close">)</Keywords> | |
<Keywords name="Folders in code2, open"></Keywords> | |
<Keywords name="Folders in code2, middle"></Keywords> | |
<Keywords name="Folders in code2, close"></Keywords> | |
<Keywords name="Folders in comment, open"></Keywords> | |
<Keywords name="Folders in comment, middle"></Keywords> | |
<Keywords name="Folders in comment, close"></Keywords> | |
<Keywords name="Keywords1">defun</Keywords> | |
<Keywords name="Keywords2">c:</Keywords> | |
<Keywords name="Keywords3">bhatch 
bherrs 
bpoly 
3dpl 
abs 
acad_helpdlg 
ai_abort 
ai_acadapp 
ai_alert 
ai_angle 
ai_angtos 
ai_apploaded 
ai_aselect 
ai_aselect1 
ai_autossget1 
ai_beep 
ai_circtan 
ai_circtanstart 
ai_common_state 
ai_dcl 
ai_deselect 
ai_dim_cen 
ai_draworder 
ai_entity_locked 
ai_entsnap 
ai_error 
ai_ffile 
ai_helpfile 
ai_hideedge_alert 
ai_nofile 
ai_notrans 
ai_num 
ai_onoff 
ai_popmenucfg 
ai_putmenucfg 
ai_refedit_alert 
ai_return 
ai_rootmenus 
ai_rtos 
ai_showedge_alert 
ai_ssget 
ai_sslength 
ai_strltrim 
ai_strrtrim 
ai_strtrim 
ai_table 
ai_tiledvp 
ai_tiledvp_chk 
ai_trans 
ai_transd 
ai_undo_off 
ai_undo_on 
ai_undo_pop 
ai_undo_push 
ai_viewports_alert 
bns_annotation_ss 
bns_blink_and_show_object 
bns_blk_match 
bns_blktbl_match 
bns_filter_match 
bns_get_att 
bns_groups_sel 
bns_groups_unsel 
bns_mod_att 
bns_ss_mod 
bns_tbl_match 
bns_tjust 
bns_truncate_2_view 
bns_vp_on_screen 
vl-acad-defun 
vl-acad-undefun 
vl-arx-import 
vl-bb-ref 
vl-bb-set 
vl-bt 
vl-bt-off 
vl-bt-on 
vl-catch-all-apply 
vl-catch-all-error-message 
vl-catch-all-error-p 
vl-cmdf 
vl-consp 
vl-directory-files 
vl-doc-export 
vl-doc-import 
vl-doc-ref 
vl-doc-set 
vl-every 
vl-exit-with-error 
vl-exit-with-value 
vl-file-copy 
vl-file-delete 
vl-file-directory-p 
vl-file-rename 
vl-file-size 
vl-file-systime 
vl-filename-base 
vl-filename-directory 
vl-filename-extension 
vl-filename-mktemp 
vl-get-resource 
vl-infp 
vl-init 
vl-list->string 
vl-list-exported-functions 
vl-list-length 
vl-list-loaded-vlx 
vl-list* 
vl-load-all 
vl-load-com 
vl-load-reactors 
vl-member-if 
vl-member-if-not 
vl-mkdir 
vl-nanp 
vl-position 
vl-prin1-to-string 
vl-princ-to-string 
vl-propagate 
vl-registry-delete 
vl-registry-descendents 
vl-registry-read 
vl-registry-write 
vl-remove 
vl-remove-if 
vl-remove-if-not 
vl-some 
vl-sort 
vl-sort-i 
vl-string->list 
vl-string-elt 
vl-string-left-trim 
vl-string-mismatch 
vl-string-position 
vl-string-right-trim 
vl-string-search 
vl-string-subst 
vl-string-translate 
vl-string-trim 
vl-symbol-name 
vl-symbol-value 
vl-symbolp 
vl-unload-vlx 
vl-vbaload 
vl-vbarun 
vl-vlx-loaded-p 
vla-activate 
vla-add 
vla-add3dface 
vla-add3dmesh 
vla-add3dpoly 
vla-addarc 
vla-addattribute 
vla-addbox 
vla-addc 
vla-adddim3pointangular 
vla-adddimaligned 
vla-adddimangular 
vla-adddimarc 
vla-adddimdiametric 
vla-adddimordinate 
vla-adddimradial 
vla-adddimradiallarge 
vla-adddimrotated 
vla-addellipse 
vla-addellipticalcone 
vla-addellipticalcylinder 
vla-addextrudedsolid 
vla-addextrudedsolidalongpath 
vla-addfitpoint 
vla-addhatch 
vla-additems 
vla-addleader 
vla-addleaderline 
vla-addleaderlineex 
vla-addlightweightpolyline 
vla-addline 
vla-addmenuitem 
vla-addminsertblock 
vla-addmleader 
vla-addmline 
vla-addmtext 
vla-addobject 
vla-addpoint 
vla-addpolyfacemesh 
vla-addpolyline 
vla-addpviewport 
vla-addraster 
vla-addray 
vla-addregion 
vla-addrevolvedsolid 
vla-addsection 
vla-addseparator 
vla-addshape 
vla-addsolid 
vla-addsphere 
vla-addspline 
vla-addsubmenu 
vla-addtable 
vla-addtext 
vla-addtolerance 
vla-addtoolbarbutton 
vla-addtorus 
vla-addtrace 
vla-addvertex 
vla-addwedge 
vla-addxline 
vla-addxrecord 
vla-anglefromxaxis 
vla-angletoreal 
vla-angletostring 
vla-appendinnerloop 
vla-appenditems 
vla-appendouterloop 
vla-appendvertex 
vla-arraypolar 
vla-arrayrectangular 
vla-attachexternalreference 
vla-attachtoolbartoflyout 
vla-auditinfo 
vla-bind 
vla-block 
vla-boolean 
vla-checkinterference 
vla-clear 
vla-clearsubselection 
vla-cleartablestyleoverrides 
vla-clipboundary 
vla-close 
vla-converttoanonymousblock 
vla-converttostaticblock 
vla-copy 
vla-copyfrom 
vla-copyobjects 
vla-copyprofile 
vla-createcellstyle 
vla-createcellstylefromstyle 
vla-createcontent 
vla-createentry 
vla-createjog 
vla-createtypedarray 
vla-delete 
vla-deletecellcontent 
vla-deletecellstyle 
vla-deletecolumns 
vla-deleteconfiguration 
vla-deletecontent 
vla-deletefitpoint 
vla-deleteprofile 
vla-deleterows 
vla-detach 
vla-display 
vla-displayplotpreview 
vla-distancetoreal 
vla-dock 
vla-elevateorder 
vla-enablemergeall 
vla-endundomark 
vla-erase 
vla-eval 
vla-evaluate 
vla-explode 
vla-export 
vla-exportprofile 
vla-fieldcode 
vla-float 
vla-formatvalue 
vla-generatelayout 
vla-generatesectiongeometry 
vla-generateusagedataS 
vla-get 
vla-handletoobject 
vla-highlight 
vla-hittest 
vla-import 
vla-importprofile 
vla-indexof 
vla-initializeuserinput 
vla-insert 
vla-intersectwith 
vla-iscontenteditable 
vla-isempty 
vla-isformateditable 
vla-ismergeallenabled 
vla-ismergedcell 
vla-isremotefile 
vla-isurl 
vla-item 
vla-launchbrowserdialog 
vla-listarx 
vla-load 
vla-loadarx 
vla-loaddvb 
vla-loadshapefile 
vla-mergecells 
vla-mirror 
vla-mirror3d 
vla-modified 
vla-move 
vla-moveabove 
vla-movebelow 
vla-movecontent 
vla-movetobottom 
vla-movetotop 
vla-new 
vla-numcustominfo 
vla-objectid32toobjectidstring 
vla-objectidtoobject 
vla-objectidtoobject32 
vla-offset 
vla-onmodified 
vla-open 
vla-plottodevice 
vla-plottofile 
vla-polarpoint 
vla-prompt 
vla-purgeall 
vla-purgefitdata 
vla-put-action 
vla-put 
vla-quit 
vla-realtostring 
vla-recomputetableblock 
vla-refreshplotdeviceinfo 
vla-regen 
vla-reload 
vla-remove 
vla-rename 
vla-renamecellstyle 
vla-renameprofile 
vla-replace 
vla-reselectsubregion 
vla-resetblock 
vla-resetcellvalue 
vla-resetprofile 
vla-restore 
vla-reverse 
vla-rotate 
vla-rotate3d 
vla-runmacro 
vla-save 
vla-saveas 
vla-scaleentity 
vla-sectionsolid 
vla-select 
vla-selectatpoint 
vla-selectbypolygon 
vla-selectonscreen 
vla-selectsubregion 
vla-sendcommand 
vla-sendmodelessoperationended 
vla-sendmodelessoperationstart 
vla-set 
vla-slicesolid 
vla-split 
vla-startbatchmode 
vla-startundomark 
vla-swaporder 
vla-syncmodelview 
vla-transformby 
vla-translatecoordinates 
vla-unload 
vla-unloadarx 
vla-unloaddvb 
vla-unmergecells 
vla-update 
vla-updateentry 
vla-updatemtextattribute 
vla-wblock 
vla-zoomvlarts-init 
vlax-3d-point 
vlax-add-cmd 
vlax-create-object 
vlax-curve-get 
vlax-curve-isclosed 
vlax-curve-isperiodic 
vlax-curve-isplanar 
vlax-dump-object 
vlax-ename->vla-object 
vlax-erased-p 
vlax-for 
vlax-get 
vlax-get-acad-object 
vlax-get-object 
vlax-get-or-create-object 
vlax-get-property 
vlax-import-type-library 
vlax-invoke 
vlax-invoke-method 
vlax-ldata-delete 
vlax-ldata-get 
vlax-ldata-list 
vlax-ldata-put 
vlax-ldata-test 
vlax-make-safearray 
vlax-make-variant 
vlax-map-collection 
vlax-method-applicable-p 
vlax-object-released-p 
vlax-product-key 
vlax-property-available-p 
vlax-put 
vlax-put-property 
vlax-queueexpr 
vlax-read-enabled-p 
vlax-reg-app 
vlax-release-object 
vlax-remove-cmd 
vlax-safearray->list 
vlax-safearray-fill 
vlax-safearray-get-dim 
vlax-safearray-get-element 
vlax-safearray-get-l-bound 
vlax-safearray-get-u-bound 
vlax-safearray-put-element 
vlax-safearray-type 
vlax-tmatrix 
vlax-typeinfo-available-p 
vlax-variant-change-type 
vlax-variant-type 
vlax-variant-value 
vlax-vla-object->ename 
vlax-write-enabled-p 
vlisp-dclres-list 
vlisp-dclres-load-dialog 
vlisp-export-symbol 
vlisp-fasres-list 
vlisp-fasres-load 
vlisp-import-exsubrs 
vlisp-import-symbol 
vlisp-inires-list 
vlr-acdb-reactor 
vlr-add 
vlr-added-p 
vlr-beep-reaction 
vlr-command-reactor 
vlr-current-reaction-name 
vlr-data 
vlr-data-set 
vlr-deepclone-reactor 
vlr-docmanager-reactor 
vlr-document 
vlr-dwg-reactor 
vlr-dxf-reactor 
vlr-editor-reactor 
vlr-insert-reactor 
vlr-linker-reactor 
vlr-lisp-reactor 
vlr-miscellaneous-reactor 
vlr-mouse-reactor 
vlr-notification 
vlr-object-reactor 
vlr-owner-add 
vlr-owner-remove 
vlr-owners 
vlr-pers 
vlr-pers-activate 
vlr-pers-dictname 
vlr-pers-list 
vlr-pers-p 
vlr-pers-release 
vlr-reaction-names 
vlr-reaction-set 
vlr-reactions 
vlr-reactors 
vlr-remove 
vlr-remove-all 
vlr-set-notification 
vlr-sysvar-reactor 
vlr-toolbar-reactor 
vlr-trace-reaction 
vlr-type 
vlr-types 
vlr-undo-reactor 
vlr-wblock-reactor 
vlr-window-reactor 
vlr-xref-reactor 
</Keywords> | |
<Keywords name="Keywords4">dcl 
verify_arxapp_loaded 
autoarxacedload 
autoarxload 
autoload 
autonativeload 
axbomout 
axchangelayerltype 
c:ai_molc 
c:laymcur 
c:psfill 
acdimenableupdate 
getvar 
setvar 
command</Keywords> | |
<Keywords name="Keywords5">Action ActionControl Active ActiveCodePane ActiveDimStyle ActiveDocument ActiveLayer ActiveLayout ActiveLinetype ActiveMenuBar ActiveProfile ActivePViewport ActiveSelectionSet ActiveSpace ActiveTextStyle ActiveUCS ActiveUserCoordinateSystem ActiveVBProject ActiveViewport ActiveVPort ActiveWindow AdaptiveMenus ADCInsertUnitsDefaultSource ADCInsertUnitsDefaultTarget AddBoltsToGroup Addins AdditionalLength AffectsGraphics Algorithm Alignment AlignmentPointAcquisition AlignToInnerEdge AllowLongSymbolNames AltFontFile AltRoundDistance AltSuppressLeadingZeros AltSuppressTrailingZeros AltSuppressZeroFeet AltSuppressZeroInches AltTabletMenuFile AltTextPrefix AltTextSuffix AltTolerancePrecision AltToleranceSuppressLeadingZeros AltToleranceSuppressTrailingZero AltToleranceSuppressTrailingZeros AltToleranceSuppressZeroFeet AltToleranceSuppressZeroInches AltUnits AltUnitsFormat AltUnitsPrecision AltUnitsScale AnchorBolts Angle AngleFormat AngleTolerance AngleVertex Annotation Application ArcLength ArcResolution ArcShapeHideReal ArcShapeResolution ArcSmoothness Area AreaClass ArrowForm Arrowhead1Block Arrowhead1Type Arrowhead2Block Arrowhead2Type ArrowheadBlock ArrowheadSize ArrowheadType AssociativeHatch AttachmentPoint Author AutoAudit AutomaticPlotLog AutoSaveInterval AutoSavePath AutoSnapAperture AutoSnapApertureSize AutoSnapMagnet AutoSnapMarker AutoSnapMarkerColor AutoSnapMarkerSize AutoSnapTooltip AutoTrackingVecColor AutoTrackTooltip BackgroundFill Backward BaseHeight BaseLength BasePoint BatchPlotProgress BeepOnError BigFontFile BitFlags Block Blocks Blue BodyResolution = Result BoltDisplayFlags BoltHideReal BoltResolution BoltType BookName Boolean(Row) BoundToEdgePoint Brightness BuildFileName CanonicalMediaName Caption Center CenterMarkSize CenterPlot CenterPoint CenterType Centroid Check Circumference ClassName(Select) ClearReferences Clipped ClippingEnabled Closed CodeModule CodePanes CodePaneView Collection CollisionBodyColor CollisionPartColor Color ColorBookPath ColorIndex ColorMethod ColorName Columns ColumnSpacing ColumnWidth CommandBarEvents CommandBars Comment Comments ConfigFile ConfigName ConicalWidth ConnectFlangeDownInside ConnectFlangeDownOutside ConnectFlangeTopInside ConnectFlangeTopOutside ConnectionType ConnectWebLeft ConnectWebRight Constant ConstantWidth ContinuousPlotLog ContourlinesPerSurface Contrast ControlPoints Coordinate Coordinates CoordinateSystem CopeAlignToInnerEdge CopeDistanceEdgeDown CopeDistanceEdgeTop CopeDistanceInsideDown CopeDistanceInsideTop CopeDistanceOutsideDown CopeDistanceOutsideTop CopePolyCutType CopeShapeFitType CopeUpdateFlag CopeWebDistance Count CountOfVisibleLines CreateBackup CreateCope CreateGroup CreatelogicalLink CreateSecondPlate CreateUpdateFlag Creator CrossSectionCatalog CrossSectionName CursorSize CustomDictionary CustomScale CutPlaneCount CutType Database DatabasePreferences DataFlag1 DataFlag2 DecimalSeparator DefaultInternetURL DefaultOutputDevice DefaultPlotStyleForLayer DefaultPlotStyleForObjects DefaultPlotStyleTable DefaultPlotToFilePath Degree DeleteUselessLinks DeleteUselessWorkings Delta DemandLoadArxApp Description Designer DesignerID DetailMode DetailStyleName Diameter Dictionaries DimensionLineColor DimensionLineExtend DimensionLineWeight DimLine1Suppress DimLine2Suppress DimLineInside DimLineSuppress DimStyles Direction DirectionVector DisableAskAQuestionDropdown DisableCustomize DisableWorkout Display DisplayAcis DisplayAs2d DisplayAsRaster DisplayClass DisplayDetailCuts DisplayEcs DisplayFonts DisplayGrips DisplayGripsWithinBlocks DisplayHoleLine DisplayKeysInTooltips DisplayLayoutTabs DisplayLocked DisplayMidLine DisplayName DisplayOLEScale DisplayOuterContur DisplayScreenMenu DisplayScrollBars DisplaySilhouette DisplayTooltips DisplayWeightLine DistanceBetweenObjects DistanceEdgeDown DistanceEdgeTop DistanceInsideDown DistanceInsideTop DistanceOutsideDown DistanceOutsideTop DistanceSupportToWebAngle DistanceTolerance DistanceToSupport DistanceToSupportConnected DockedVisibleLines DockStatus Document Documents DontDetailFlag DownFlangeKey DownOffset DownRipTemplate Drafting DragFlags DrawElementNames DrawFlagsAtHide DrawingDirection DrawMidLineAtHide DrawWorkFrameAtHide DriversPath ElementDescriptionColor Elevation ElevationModelSpace ElevationPaperSpace Enable EnableStartupDialog EndAngle EndParameter EndPhi EndPoint = Point EndSubMenuLevel EndTangent EntityColor EntityName EntityType Events ExtensionLineColor ExtensionLineExtend ExtensionLineOffset ExtensionLineWeight ExtLine1EndPoint ExtLine1Point ExtLine1StartPoint ExtLine1Suppress ExtLine2EndPoint ExtLine2Point ExtLine2StartPoint ExtLine2Suppress Faces FacetCount Fade FamilyClass Feature FieldLength FileDependencies FileName Files FileSize FillerPlateThickness FillerPlateWidth FingerprintGuid Fit FitPoints FitTolerance FlatSteelLongSide FlatSteelShortSide FlatSteelThickness FloatingRows FlowDirection Flyout fontFile FontFileMap FootThick ForceLineInside ForkDisplay FoundPath FractionFormat Freeze FullCrcValidation FullFileName FullName FullScreenTrackingVector GradientAngle GradientCentered GradientColor1 GradientColor2 GradientName GraphicsWinLayoutBackgrndColor GraphicsWinModelBackgrndColor Green GridOn GripColorSelected GripColorUnselected GripSize GroupIsSingleGroup Groups Handle HasAttributes HasExtensionDictionary HasOpenDesigner HasSubSelection HatchObjectType HatchStyle HaunchAtDownSide HaunchAtTopSide HaunchCopedHeight HaunchFlangeThickness HaunchFlangeWidth HaunchIsCopedShape HaunchLength HaunchOffset HaunchStiffenerAtConnected HaunchStiffenerAtSupport HaunchWebThickness HeaderSuppressed HeadThick Height HelpContextID HelpFile HelpFilePath HelpString HistoryLines HoleAxisOffsetVertical=Value HoleColor HoleCountHorizontalFlange HoleCountHorizontalWeb HoleCountPurlin HoleCountSupport HoleCountVerticalFlange HoleCountVerticalWeb HoleDepth HoleDiameter HoleDiameterSocket HoleDisplayFlags HoleDistanceHorizontal HoleDistanceHorizontalCenter HoleDistanceHorizontalConnected HoleDistanceHorizontalEdgeConnected HoleDistanceHorizontalEdgeSupport=Value HoleDistanceHorizontalFlange HoleDistanceHorizontalInside HoleDistanceHorizontalInsideFlange HoleDistanceHorizontalInsideWeb HoleDistanceHorizontalLeft HoleDistanceHorizontalOutside HoleDistanceHorizontalOutsideFlange HoleDistanceHorizontalOutsideWeb HoleDistanceHorizontalRight HoleDistanceHorizontalSupport HoleDistanceHorizontalWeb HoleDistancePurlin HoleDistanceSupport HoleDistanceVertical HoleDistanceVerticalCenter HoleDistanceVerticalCenterFlange HoleDistanceVerticalDown HoleDistanceVerticalEdge HoleDistanceVerticalEdgeFlange HoleDistanceVerticalEdgeWeb HoleDistanceVerticalFlange HoleDistanceVerticalTop HoleDistanceVerticalWeb HoleFieldCount HoleLineColor HoleListFromDownSide HoleListFromPlateEdge HoleListUsed HoleOffsetHorizontal HoleOffsetVertical HoleResolution HoleWorkLoose HorizontalAlignment HorizontalHoleCount HorizontalHoleCountConnected HorizontalHoleCountSupport HorizontalTextPosition HorzCellMargin HWND HyperlinkBase HyperlinkDisplayCursor HyperlinkDisplayTooltip Hyperlinks ImageFile ImageFrameHighlight ImageHeight ImageVisibility ImageWidth IncrementalSavePercent Index initcommandversion initdia InnerOffsetVertical=Value InsertHeight InsertionPoint InsertOffset InsertOffsetFlange InsertOffsetFromDownSide InsertOffsetFromFirstHole InsertOffsetFromShapeEdge InsertOffsetHorizontal InsertOffsetVertical InsertOffsetWeb InsertOffsetX InsertPoint Invisible IsActive IsCloned IsLayout ismnugrploaded IsModified ISOPenWidth IsOwnerXlated IsPeriodic IsPlanar IsPrimary ispropertyreadonly IsQuiescent IsRational IsReplaced Issuer IsUserCut IsXRef Item key KeyboardAccelerator KeyboardPriority KeyLength KeySize Keywords Knots KoteTextColor Label LargeButtons LastHeight LastSavedBy Layer LayerOn Layers layerstate-addlayers layerstate-compare layerstate-delete layerstate-export layerstate-getlastrestored layerstate-getlayers layerstate-getnames layerstate-has layerstate-import layerstate-importfromdb layerstate-removelayers layerstate-rename layerstate-restore layerstate-save Layout LayoutCreateViewport LayoutCrosshairColor LayoutDisplayMargins LayoutDisplayPaper LayoutDisplayPaperShadow layoutlist Layouts LayoutShowPlotSetup LeaderLength left LeftText Length LensLength LicenseServer Limits LinearScaleFactor LineSpacingDistance LineSpacingFactor LineSpacingStyle Linetype LinetypeGeneration Linetypes LinetypeScale Lineweight LineweightDisplay LinkedWindowFrame LinkedWindows LinksActive LinksActivUpdate LinksPassiv LinksPassivUpdate LispMessage LoadAcadLspInAllDocuments LocaleId Lock LogFileOn LogFilePath LowerAddLength LowerComment LowerGap LowerLeftCorner LowerPrefix LowerSign LowerThick Macro MainDictionary MainWindow MajorAxis MajorRadius ManPosFlag Mask MaxActiveViewports MaxAutoCADWindow MaxCenterDistance MaxDeclination MaxObjectDistance Mclose Mdensity Measurement MenuAnimationStyle MenuBar MenuFile MenuFileName MenuGroup MenuGroups Menus MinimumTableHeight MinimumTableWidth MinorAxis MinorRadius Mode ModelCrosshairColor Modeller ModellerTolerance ModelSpace ModelType ModifyFlag MomentOfInertia MRUNumber MSpace MVertexCount Name Name2DSTV NameChangedManually NameNoMnemonic Nclose NDensity NeutralRadius No Normal Note1 Note2 NumberOfControlPoints NumberOfCopies NumberOfFaces NumberOfFitPoints NumberOfLoops NumberOfVertices NumberSize NumSize NVertexCount ObjCutPlaneDistance ObjectArxPath ObjectDisplayFlags ObjectID ObjectName ObjectSnapMode ObjectSortByPlotting ObjectSortByPSOutput ObjectSortByRedraws ObjectSortByRegens ObjectSortBySelection ObjectSortBySnap ObjectType ObliqueAngle Offset OLELaunch OLEQuality OnMenuBar OpenSave Origin OriginNumber OriginPosNumber OrthoOn OutletCount Output OwnerID PageSetupOverridesTemplateFile PaperSpace PaperUnits Parent PartlistFlag PartOrigin Password Path PatternAngle PatternDouble PatternName PatternScale PatternSpace PatternType Perimeter PickAdd PickAuto PickBoxSize PickDrag PickFirst PickfirstSelectionSet PickGroup PickHelperColor PickHelperSize PickHelperStatus PickPoint =Value PlateDisplayFlags PlateDragStep PlateExportTemplate PlateNameBigValue PlateNameTemplate PlatePosition PlatePositionFlagTemplate PlateRasterHorizontal PlateRasterLength PlateRasterVertical PlateRoundNameTo PlateTextLength PlateTextName PlateTextNote2 PlateTextNote2Behind PlateTextOffset PlateTextPos PlateTextPrefix PlateTextSize PlateTextStyle PlateThickness PlateThicknessFlange PlateThicknessWeb PlateType Plot PlotConfigurations PlotHidden PlotLegacy PlotLogFilePath PlotOrigin PlotPolicy PlotRotation PlotStyleName Plottable PlotType PlotViewportBorders PlotViewportsFirst PlotWithLineweights PlotWithPlotStyles PolarTrackingVector PolyCutCount PolyCutType PopupMenu PopupMenuItem PopupMenus PositionText PosNumber PosNumberChangedFlag PosNumColor PosTextColor PostScriptPrologFile Preferences Preset PrimaryUnitsPrecision PrincipalDirections PrincipalMoments PrinterConfigPath PrinterDescPath PrinterPaperSizeAlert PrinterSpoolAlert PrinterStyleSheetPath PrintFile PrintSpoolerPath PrintSpoolExecutable ProductOfInertia Profiles ProjectionDepth PromptString Properties Protection ProviderName ProviderType ProxyImage PurlinType QNewTemplateFile QuietErrorMode RadiiOfGyration Radius RadiusRatio ReadOnly Red ReferenceCount References ReferencesEvents RegisteredApplications RemoveHiddenLines RenderSmoothness Resolution RevisionNumber RightText Rotation RoundAbout RoundDistance RoundRipThick RowHeight Rows RowSpacing SaveAsType Saved SavePreviewThumbnail Scale ScaleFactor ScaleLineweights SCMCommandMode SCMDefaultMode SCMEditMode SCMTimeMode SCMTimeValue SearchGroupColor SecondPoint SegmentPerPolyline SelectedVBComponent Selection SelectionSets SerialNumber ShadePlot ShapeClass ShapeClipping ShapeDisplayFlags ShapeDragStep ShapeMidLineOffset ShapeSketchEndOffset ShapeSketchLen = Object ShapeSketchLineDisplay ShapeTextExclude ShapeTextLength ShapeTextName ShapeTextNote2 ShapeTextNote2Behind ShapeTextOffset ShapeTextPos ShapeTextPrefix ShapeTextSize ShapeTextStyle ShapeToFit ShipNumber ShortcutMenu ShortCutMenuDisplay ShowPlotStyles ShowProxyDialogBox ShowRasterImage ShowRotation ShowWarningMessages SideLength SingleDocumentMode SlotAxisDistance SlotAxisDistanceConnected =Value SlotAxisDistanceSupport SnapBasePoint SnapOn SnapRotationAngle SolidFill StandardScale StartAngle StartParameter StartPhi StartPoint = Point StartTangent StatusId StoreSQLIndex StyleName StyleSheet SubBodyCount Subject SubMenu SummaryInfo SupportPath SuppressLeadingZeros SuppressTrailingZeros SuppressZeroFeet SuppressZeroInches System TablesReadOnly TableStyleOverrides TabOrder TagString Target TempFileExtension TempFilePath TemplateDwgPath TempXrefPath TextAlignmentPoint TextColor TextEditor TextFont TextFontSize TextFontStyle TextFrameDisplay TextGap TextGenerationFlag TextHeight TextInside TextInsideAlign TextMovement TextOutsideAlign TextOverride TextPosition TextPrecision TextPrefix TextRotation TextSize TextString TextStyle TextStyles TextSuffix TextureMapPath TextWinBackgrndColor TextWinTextColor Thickness TimeServer TimeStamp Title TitleSuppressed ToleranceDisplay ToleranceHeightScale ToleranceJustification ToleranceLowerLimit TolerancePrecision ToleranceSuppressLeadingZeros ToleranceSuppressTrailingZeros ToleranceSuppressZeroFeet ToleranceSuppressZeroInches ToleranceUpperLimit Toolbar ToolbarItem Toolbars ToolPalettePath top TopAligned TopFlangeKey TopLine TopOffset TopRipTemplate TotalAngle TranslateIDs Transparency TransportName TrueColor TrueColorImages TurnAngle TurnWebAngles =Value TwistAngle Type UCSIconAtOrigin UCSIconOn UCSPerViewport UnitDialog UnitsFormat UpperAddLength UpperComment UpperContra UpperGap UpperLength UpperPrefix UpperRightCorner UpperSign UpperThick UpsideDown URL URLDescription URLNamedLocation Used UseLastPlotSettings UseOppositePosition User UserCoordinateSystems UseSpecialShapeAtSocket UseStandardScale Utility Value VBComponents VBE VBProjects Verify Version VersionGuid VersionString VertCellMargin VerticalAlignment VerticalHoleCount VerticalHoleListDistance(Index) VerticalTextPosition ViewportDefault ViewportOn Viewports Views ViewToPlot VisibilityEdge1 VisibilityEdge2 VisibilityEdge3 VisibilityEdge4 Visible Volume VolumeFlag WebAngleIsFlatSteel WebAnglePosition=Value WebDistance Weight WeightLineColor Weights WeldDiagonal WeldSeam WeldSeamFlange WeldSeamWeb WeldSignColor WeldTextColor WeldToConnectedShape WeldToFlange WeldToSupportShape WeldToWeb Width Window WindowLeft Windows WindowState WindowTitle WindowTop WithFillerPlates WithoutHoles WithStiffeners WorkFrameDisplayFlags WorkspacePath X XAxis XOffset XRefDatabase XrefDemandLoad XRefEdit XRefFadeIntensity XRefLayerVisibility XScaleFactor XVector Y YAxis YOffset YScaleFactor YVector Z ZAxis ZScaleFactor _NewEnum acdimenableupdate</Keywords> | |
<Keywords name="Keywords6">:constants-prefix :methods-prefix :prog-id :properties-prefix :tlb-filename :vlax-false :vlax-null :vlax-true :vlr-abortattach :vlr-abortdeepclone :vlr-abortdxfin :vlr-abortdxfout :vlr-abortinsert :vlr-abortrestore :vlr-abortwblock :vlr-acdb-reactor :vlr-beginattach :vlr-beginclose :vlr-begindeepclone :vlr-begindeepclonexlation :vlr-begindoubleclick :vlr-begindwgopen :vlr-begindxfin :vlr-begindxfout :vlr-begininsert :vlr-begininsertm :vlr-beginrestore :vlr-beginrightclick :vlr-beginsave :vlr-beginwblock :vlr-beginwblockid :vlr-beginwblockobjects :vlr-beginwblockpt :vlr-cancelled :vlr-comandeered :vlr-command-reactor :vlr-commandcancelled :vlr-commandended :vlr-commandfailed :vlr-commandwillstart :vlr-copied :vlr-databaseconstructed :vlr-databasetobedestroyed :vlr-deepclone-reactor :vlr-docframemovedorresized :vlr-docmanager-reactor :vlr-documentbecamecurrent :vlr-documentcreated :vlr-documentlockmodechanged :vlr-documentlockmodechangevetoed :vlr-documentlockmodewillchange :vlr-documenttobeactivated :vlr-documenttobedeactivated :vlr-documenttobedestroyed :vlr-dwg-reactor :vlr-dwgfileopened :vlr-dxf-reactor :vlr-dxfincomplete :vlr-dxfoutcomplete :vlr-editor-reactor :vlr-endattach :vlr-enddeepclone :vlr-enddwgopen :vlr-endinsert :vlr-endrestore :vlr-endwblock :vlr-erased :vlr-goodbye :vlr-insert-reactor :vlr-layoutswitched :vlr-linker-reactor :vlr-lisp-reactor :vlr-lispcancelled :vlr-lispended :vlr-lispwillstart :vlr-mainframemovedorresized :vlr-miscellaneous-reactor :vlr-modified :vlr-modifiedxdata :vlr-modifyundone :vlr-mouse-reactor :vlr-object-reactor :vlr-objectappended :vlr-objectclosed :vlr-objecterased :vlr-objectmodified :vlr-objectopenedformodify :vlr-objectreappended :vlr-objectunappended :vlr-objectunerased :vlr-openedformodify :vlr-otherattach :vlr-otherinsert :vlr-otherwblock :vlr-pickfirstmodified :vlr-reappended :vlr-redirected :vlr-rxapploaded :vlr-rxappunloaded :vlr-savecomplete :vlr-subobjmodified :vlr-sysvar-reactor :vlr-sysvarchanged :vlr-sysvarwillchange :vlr-toolbar-reactor :vlr-toolbarbitmapsizechanged :vlr-toolbarbitmapsizewillchange :vlr-unappended :vlr-undo-reactor :vlr-undosubcommandauto :vlr-undosubcommandback :vlr-undosubcommandbegin :vlr-undosubcommandcontrol :vlr-undosubcommandend :vlr-undosubcommandmark :vlr-undosubcommandnumber :vlr-unerased :vlr-unknowncommand :vlr-wblock-reactor :vlr-wblocknotice :vlr-window-reactor :vlr-xref-reactor :vlr-xrefsubcommandattachitem :vlr-xrefsubcommandbinditem :vlr-xrefsubcommanddetachitem :vlr-xrefsubcommandoverlayitem :vlr-xrefsubcommandpathitem :vlr-xrefsubcommandreloaditem :vlr-xrefsubcommandunloaditem</Keywords> | |
<Keywords name="Keywords7">Activate Add Add3DFace Add3dMesh Add3DPoly AddArc AddAttribute AddBox AddCircle AddCone AddCustomByIndex AddCustomByKey AddCustomInfo AddCustomObject AddCylinder AddDim3PointAngular AddDimAligned AddDimAngular AddDimDiametric AddDimOrdinate AddDimRadial AddDimRotated AddEedDefinition AddEllipse AddEllipticalCone AddEllipticalCylinder AddExtrudedSolid AddExtrudedSolidAlongPath AddFitPoint AddHatch AddItems AddLeader AddLightweightPolyline AddLine AddMemberToGroup AddMenuItem AddMInsertBlock AddMLine AddMtext AddObject AddPoint AddPolyfaceMesh AddPolyline AddPViewport AddRaster AddRay AddRegion AddRevolvedSolid AddSeparator AddShape AddSolid AddSphere AddSpline AddSubMenu AddSubPart AddTable AddTemplate AddText AddTolerance AddToolbarButton AddTorus AddTrace AddVertex AddWedge AddXline AddXRecord AngleFromXAxis AngleToReal AngleToString AppendActiveEntity AppendAdditionalEntity AppendAdditionalId AppendArc AppendArc2 AppendBeam AppendBoltEntity AppendBoltId AppendBoolean AppendCircle AppendCircle2 AppendConnectiond AppendCreatedEntity AppendDouble AppendEdgePoint AppendHole AppendIndex AppendInnerLoop AppendItems AppendLine AppendLine2 AppendNumber AppendOuterLoop AppendReferencePoint AppendRefPoint AppendSecondActiveEntity AppendString AppendVector AppendVertex AppendVertexByValue ArrayPolar ArrayRectangular AssignPartsToList AssignPartToList AttachExternalReference AttachToolbarToFlyout AuditInfo Bind Block Boolean BreakLines BuildSignText ChangeLengthAtPoint ChangeLengthAtSide ChangeType CheckInterference CheckPointInside CleanAdditionals CleanBolts CleanConnections Clear ClearAllOfKind ClearSubSelection ClearTableStyleOverrides ClipBoundary Close ClosestPointTo CollectShapesFromDrawing CollectShapesFromSelection ComputeIntersectionPoints ConnectWith ContinueLines ConvertFromPolyline ConvertToLinesOnly Copy CopyFrom CopyFromPolygon CopyObjects CopyProfile CreateBox CreateCircle CreateCone CreateConicPipe CreateCylinder CreateEntry CreateExtrusion CreateHull CreateRect2Circle CreateRotation CreateToolWindow CreateTorus CreateTypedArray Delete DeleteAllBooleans DeleteAllBools DeleteAllDoubles DeleteAllEdgePoints DeleteAllHoleFields DeleteAllIndices DeleteAllNumbers DeleteAllPoints DeleteAllStrings DeleteAllVectors DeleteAllVertices DeleteArc DeleteBoolean DeleteCellContent DeleteCircleNumber DeleteColumns DeleteConfiguration DeleteCutPlane DeleteDetailCut DeleteDoubles DeleteFacet DeleteFitPoint DeleteGroupFrom DeleteHoleField DeleteIndex DeleteInnerLines DeleteLine DeleteMinLines DeleteNumber DeleteOutlet DeletePolyCut DeleteProfile DeleteReferencePoint DeleteRefPoint DeleteRows DeleteString DeleteSubbody DeleteVector DesignerWindow Detach Display DisplayPlotPreview DistanceToReal Dock DrawFrameArc DrawFrameCircle DrawFrameCone DrawFrameCylinder DrawFrameEdge DrawFrameEllipse DrawFrameLine DrawFramePolygon DrawText dumpallproperties DxfIn DxfOut EditTemplates ElevateOrder EndUndoMark Erase Eval Evaluate Expand Explode Export ExportProfile Extents Facet FieldCode Fillet FindControl FindControls FindPlane FlipNormal Float GenerateLayout GenerateUsageData Get Get2dMode GetAcadState GetAlignment GetAllProfileNames GetAnalysisIsChanged GetAnalysisIsConnected GetAnalysisIsProtected GetAnalysisLine GetAnalysisVector GetAngle GetArc GetAreaClass GetAttachmentPoint GetAttributes GetAutoScale GetBackgroundColor GetBackgroundColorNone GetBasePlateLinkData GetBeamHitPoint GetBitmaps GetBlockAttributeValue GetBlockRotation GetBlockScale GetBlockTableRecordId GetBooleanCutLinkData GetBoundingBox GetBulge GetCameraView GetCanonicalMediaNames GetCellAlignment GetCellBackgroundColor GetCellBackgroundColorNone GetCellContentColor GetCellExtents GetCellGridColor GetCellGridLineWeight GetCellGridVisibility GetCellStyleOverrides GetCellTextHeight GetCellTextStyle GetCellType GetCircle GetClipDistances GetColor GetColumnWidth GetConstantAttributes GetContentColor GetControlPoint GetCoordinateSystem GetCopeLinkData GetCorner GetCoverForm GetCustomByIndex GetCustomByKey GetCustomScale GetCutPlane GetDetailCut GetDisplayClass GetDistance GetEedField GetEndCoordinate GetEntity GetExtensionDictionary GetExtents GetFacet GetFamilyClass GetFieldId GetFitPoint GetFont GetFullDrawOrder GetGridColor GetGridLineWeight GetGridSpacing GetGridVisibility GetGroupFrom GetHaunchLinkData GetHole GetHoleField GetInput GetInsertUcs GetInteger GetInterfaceObject GetInvisibleEdge GetKeyword GetLeftTextSettings GetLine GetLinkBetween GetLinkData GetLocaleMediaName GetLogicalLinkByNumber GetLoopAt GetMidLine GetMidLineUcs GetMinimumColumnWidth GetMinimumRowHeight GetMiterCutLinkData GetName GetNormal GetObject GetOrientation GetOutlet GetPaperMargins GetPaperSize GetPlanePoints GetPlotDeviceNames GetPlotStyleTableNames GetPoint GetPolyCut GetPolygon GetProjectFilePath getpropertyvalue GetPurlinLinkData GetReal GetRecord GetRectangularExtents GetReferencePoint GetRelativeDrawOrder GetRemoteFile GetRightTextSettings GetRowHeight GetRowPoints GetRowType GetSelection GetShearPlateLinkData GetSketchMidLineOffset GetSketchOffset GetSketchTextOffset GetSnapSpacing GetSpliceJointLinkData GetStandardPlateLinkData GetStartCoordinate GetStiffenerLinkData GetString GetSubbody GetSubEntity GetSubSelection GetTargetId GetText GetTextExtents GetTextHeight GetTextRotation GetTextStyle GetTrueId GetUCSMatrix geturl GetVariable GetVertexByValues GetWebAngleLinkData GetWeight GetWidth GetWindowToPlot GetXdata GetXRecordData HandleToObject HideExcludeParts HideList HideParts Highlight HitTest Import ImportProfile IndexOf Init InitBlock InitGeo Initialize InitializeUserInput InsertBlock InsertColumns InsertInMenuBar InsertLoopAt InsertMenuInMenuBar InsertRows InsertSignAt InsertVertex InsertVertexByValues InsertWeldFlagAt IntersectWith Invert IsEqualTo IsMergedCell IsRemoteFile IsURL Item LaunchBrowserDialog ListArx Load LoadArx LoadDVB LoadFromObject LoadShapeFile LoadTemplateData MakeCompiledFile MergeCells Methods Mirror Mirror3d Move MoveAbove MoveBelow MoveToBottom MoveToTop MultiplyWith New NumCustomInfo ObjectIdToObject Offset Open Perform PerformPartlist PickLine PlateDisplayFlags PlotToDevice PlotToFile PolarPoint PostMultiplyWith PreMultiplyWith PrependVertex Prompt PurgeAll PurgeFitData PurgetFitData PutRemoteFile Quit ReadFrom RealToString RecomputeTableBlock RefreshPlotDeviceInfo Regen RegisterLicenseObject ReleaseFocus Reload Remove RemoveActiveEntity RemoveAdditionalEntity RemoveAllAdditionalEntity RemoveAllBoltEntity RemoveAllCreatedEntity RemoveBoltEntity RemoveCreatedEntity RemoveCustomByIndex RemoveCustomByKey RemoveEntry RemoveFromMenuBar RemoveItems RemoveLogicalLinkByNumber RemoveMemberFromGroup RemoveMenuFromMenuBar RemovePartFromList RemovePartsFromList RemoveRecord RemoveSecondActiveEntity Rename RenameProfile Replace ReselectSubRegion Reset ResetInsertFlags ResetProfile Restore RetrieveGeo RetrieveGeometry RetrievePolygon Reverse RevokeLicenseObject Rotate Rotate3d RunMacro Save SaveAs SaveTemplateData ScaleEntity SectionSolid Select SelectAtPoint SelectByPolygon SelectCombinationSections SelectOnScreen SelectRoofWallSections SelectSpecialSections SelectStandardSections SelectSubRegion SendCommand Set2dMode SetAlignment SetAnalysisDisplay SetAnalysisIsChanged SetAnalysisIsConnected SetAnalysisIsProtected SetAnalysisLine SetAnalysisVector SetArc SetAreaClass SetArrowForm SetAsBooleanCut SetAsDetailCut SetAsFacetCut SetAsMiterCut SetAsObjectCut SetAsPlaneCut SetAsPolyCut SetAsRadialPlate SetAutoScale SetAxisDistance SetBackgroundColor SetBackgroundColorNone SetBasePlateLinkData SetBitmaps SetBlockAttributeValue SetBlockRotation SetBlockScale SetBlockTableRecordId SetBooleanCutLinkData SetBox SetBulge SetCameraView SetCellAlignment SetCellBackgroundColor SetCellBackgroundColorNone SetCellContentColor SetCellGridColor SetCellGridLineWeight SetCellGridVisibility SetCellTextHeight SetCellTextStyle SetCellType SetCenterPoint SetCircle SetClipDistances SetColor SetColorBookColor SetColumnWidth SetCone SetConicPipe SetConnectionData SetConnectionObject SetConnectionType SetContentColor SetControlPoint SetCoordinateSystem SetCopeLinkData SetCounterSunkLength SetCounterSunkSecond SetCrossSection SetCrossSectionType SetCustomByIndex SetCustomByKey SetCustomScale SetCutDistances SetCutPlane SetDatabase SetDebugLevel SetDeepStart SetDescription SetDescriptionX SetDescriptionY SetDetailCut SetDiameter SetDisplayClass SetDistance1 SetDistance2 SetDynamic SetEdgeIndex SetEndOffset SetEndpoint SetExtrusion SetFacet SetFamilyClass SetFieldId SetFitPoint SetFlag SetFocus SetFont SetFrom3Points SetFromAxes SetFromCircle SetFromEdges SetFromExtents SetFromGeo SetFromNormal SetFromOutside SetFromPolygon SetFromRectangle SetFromRegularFaces SetGridColor SetGridLineWeight SetGridSpacing SetGridVisibility SetHaunchLinkData SetHeight SetHiddenLayer SetHiddenLineType SetHoleField SetHull SetIdentifier SetInsertAt SetInsertHeight SetInsertMatrix SetInsertOffset SetInsertPoint SetInsertPoints SetInvisibleEdge SetLayer SetLayoutsToPlot SetLeftTextSettings SetLength SetLine SetLinearHoleField SetLineType SetLinkData SetLogicalLinkByNumber SetLowerAddLength SetLowerComment SetLowerContra SetLowerGap SetLowerLength SetLowerPrefix SetLowerSign SetLowerThick SetLUpperComment SetMainPart SetMaterial SetMaximalLength SetMidLineLayer SetMidLineType SetMiterCutLinkData SetModificationToken SetName SetNamePrefix SetNames SetNormal SetNormalPosition SetObject SetOffset SetOnSite SetOpenAngle SetOutlet SetPartOrigin SetPattern SetPickpoint SetPlaneByNormal SetPoint SetPoints SetPolyCut SetProjectFilePath setpropertyvalue SetPurlinLinkData SetRadialHoleField SetRadialHoleRange SetRadius SetRect2Circle SetRectangularExtents SetRectangularPlate SetReferenceAxis SetRelativeDrawOrder SetReplaced SetResolution SetRGB SetRightTextSettings SetRotation SetRoundAbout SetRowHeight SetScale SetSelection SetSelectionFilter SetShapeEnd SetShapeStart SetShearPlateLinkData SetSignSize SetSingleHoleField SetSketchMidLineOffset SetSketchOffset SetSketchTextOffset SetSnapSpacing SetSolidCylinder SetSolidLayer SetSolidLineType SetSphere SetSpliceJointLinkData SetStandardPlateLinkData SetStartOffset SetStartPoints SetStartX SetStartY SetStartZ SetStiffenerLinkData SetStiffenerOffset SetStiffenerType SetSubbody SetSubSelection SetSupportObject SetTargetId SetTemplateFile SetText SetTextHeight SetTextRotation SetTextStyle SetTextStyleObject SetThickness SetToCrossProduct SetToCurrentUcs SetToDefaults SetToIdentity SetTolerance SetToMidBetween SetToOffset SetToRotation SetTorus SetToScaling SetTranslation SetTrueId SetType SetUpperAddLength SetUpperContra SetUpperGap SetUpperLength SetUpperPrefix SetUpperSign SetUpperThick seturl SetVariable SetVertexByValues SetView SetWebAngleLinkData SetWeight SetWidth SetWindowToPlot SetX SetXAxis SetXdata SetXOffset SetXPosition SetXRecordData SetXYPlane SetY SetYAxis SetYOffset SetYPosition SetZ SetZPosition Show ShowAnalysisLayers ShowList ShowParts SliceSolid SortToBase Split SplitAtPoint startapp StartBatchMode StartUndoMark SubtractObject SwapOrder TransformBy TranslateCoordinates Turn Unload UnloadArx UnloadDVB UnmergeCells Update UpdateAnalysisColor UpdateEntry UseCurrentLayer UseHiddenLineType UseMidlineType UseModeler UseSolidLineType Wblock Wipe WriteToPolygon WriteToTemplate Zoom ZoomAll ZoomCenter ZoomExtents ZoomPickWindow ZoomPrevious ZoomScaled ZoomWindow get put</Keywords> | |
<Keywords name="Keywords8">action_tile add_list ads alert alloc and angle angtof angtos append apply arx arxload arxunload ascii assoc atan atof atoi atom atoms-family boole boundp caaaar caaadr caaar caadar caaddr caadr caar cadaar cadadr cadar caddar cadddr caddr cadr car cdaaar cdaadr cdaar cdadar cdaddr cdadr cdar cddaar cddadr cddar cdddar cddddr cdddr cddr cdr children chr client_data_tile close command command-s cond cons cos cvunit defun defun-q defun-q-list-ref defun-q-list-set dictadd dictnext dictremove dictrename dictsearch dimx_tile dimy_tile distance distof done_dialog end_image end_list entdel entget entlast entmake entmakex entmod entnext entsel entupd eq equal eval exit exp expand expt fill_image findfile fix float fnsplitl foreach function gc gcd getangle getcfg getcname getcorner getdist getenv getfiled getint getkword getorient getpath getpoint getreal getstring getvar get_attr get_tile graphscr grclear grdraw grread grtext grvecs handent help if imagefile import3ds initget inters itoa lambda last length lisped list listp load loadedp load_dialog log logand logior lsh mapcar max mem member menucmd menugroup min minusp mode_tile namedobjdict nentsel nentselp new_dialog not nth null numberp open or osnap polar pragma prin1 princ print progn prompt quit quote read read-char read-line redraw regapp rem repeat reverse rtos safearray safearray-get-dim safearray-get-element safearray-get-l-bound safearray-get-u-bound safearray-put-element safearray-type safearray-value set setcfg setenv setfunhelp setq setvar setview set_tile sin slide_image snvalid sqrt ssadd ssdel ssget ssgetfirst sslength ssmemb ssname ssnamex sssetfirst start_dialog start_image start_list strcase strcat strlen subst substr tablet tblnext tblobjname tblsearch term_dialog terpri textbox textpage textscr trace trans type unload_dialog untrace variant variant-type variant-value vector_image ver vmon vports wcmatch while write-char write-line xdroom xdsize xstrcase zerop zeroz</Keywords> | |
<Keywords name="Delimiters">00" 01 02" 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23</Keywords> | |
</KeywordLists> | |
<Styles> | |
<WordsStyle name="DEFAULT" fgColor="000000" bgColor="FFFFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="COMMENTS" fgColor="804040" bgColor="FFFFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="LINE COMMENTS" fgColor="408080" bgColor="FFFFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="NUMBERS" fgColor="8000FF" bgColor="FFFFFF" fontName="" fontStyle="1" nesting="0" /> | |
<WordsStyle name="KEYWORDS1" fgColor="0000FF" bgColor="FFFFFF" fontName="" fontStyle="1" nesting="0" /> | |
<WordsStyle name="KEYWORDS2" fgColor="000000" bgColor="FFE6E6" fontName="" fontStyle="1" nesting="0" /> | |
<WordsStyle name="KEYWORDS3" fgColor="0000FF" bgColor="DFDFDF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="KEYWORDS4" fgColor="DF00DF" bgColor="FFFFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="KEYWORDS5" fgColor="800000" bgColor="FFFFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="KEYWORDS6" fgColor="800080" bgColor="FFFFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="KEYWORDS7" fgColor="008080" bgColor="FFFFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="KEYWORDS8" fgColor="0000FF" bgColor="FFFFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="OPERATORS" fgColor="008000" bgColor="FFFFFF" fontName="" fontStyle="1" nesting="0" /> | |
<WordsStyle name="FOLDER IN CODE1" fgColor="008000" bgColor="FFFFFF" fontName="" fontStyle="1" nesting="0" /> | |
<WordsStyle name="FOLDER IN CODE2" fgColor="008040" bgColor="FF80FF" fontName="" fontStyle="1" nesting="0" /> | |
<WordsStyle name="FOLDER IN COMMENT" fgColor="000000" bgColor="FFFFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="DELIMITERS1" fgColor="800080" bgColor="FFFFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="DELIMITERS2" fgColor="0000A0" bgColor="80FFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="DELIMITERS3" fgColor="000000" bgColor="FFFFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="DELIMITERS4" fgColor="000000" bgColor="FFFFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="DELIMITERS5" fgColor="800080" bgColor="FFFFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="DELIMITERS6" fgColor="0000FF" bgColor="FFFFFF" fontName="" fontStyle="0" nesting="0" /> | |
<WordsStyle name="DELIMITERS7" fgColor="008040" bgColor="FFFFFF" fontName="" fontStyle="1" nesting="128" /> | |
<WordsStyle name="DELIMITERS8" fgColor="000000" bgColor="FFFF80" fontName="" fontStyle="1" nesting="0" /> | |
</Styles> | |
</UserLang> | |
</NotepadPlus> |
Sign up for free
to join this conversation on GitHub.
Already have an account?
Sign in to comment
The highlighting for some of the vl..get and vl..put functions may look a little off - there isn't enough room in the lexer to put them all in - it gave up after a little over 53k character in the 3rd keyword group.